package com.fs.app.facade;

import com.fs.common.core.domain.R;
import com.fs.common.core.page.PageRequest;
import com.fs.common.core.page.TableDataInfo;
import com.fs.live.domain.LiveWatchUser;
import com.fs.live.param.CouponPO;
import com.fs.live.param.LotteryPO;
import com.fs.live.param.RedPO;

public interface LiveFacadeService {
    R liveList(PageRequest pageRequest);

    TableDataInfo watchUserList(LiveWatchUser param);

    R liveDetail(Long id);

    R currentActivities(Long liveId, String userId);

    R drawClaim(LotteryPO lottery);

    R redClaim(RedPO red);

    R couponClaim(CouponPO coupon);
}
